Test::Branch::Set Class Reference

Test brancher More...

## Public Member Functions

| Set (const std::string &s, const Gecode::IntSet &d, int n)
| Create and register test.
virtual void | post (Gecode::Space &home, Gecode::SetVarArray &x)
| Post propagators on variables x.
Public Member Functions inherited from Test::Branch::SetTest
| SetTest (const std::string &s, int a, const Gecode::IntSet &d)
| Construct and register test.
virtual bool | run (void)
| Perform test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Protected Attributes inherited from Test::Branch::SetTest
int | arity
| Number of variables.
Gecode::IntSet | dom
| Domain of variables.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test brancher

Definition at line 41 of file set.cpp.

## Constructor & Destructor Documentation

## Set()

Test::Branch::Set::Set | ( | const std::string & | s,
|  | const Gecode::IntSet & | d,
|  | int | n )

inline

Create and register test.

Definition at line 44 of file set.cpp.

## Member Function Documentation

## post()

virtual void Test::Branch::Set::post | ( | Gecode::Space & | home,
|  | Gecode::SetVarArray & | x )

inline virtual

Post propagators on variables x.

Implements Test::Branch::SetTest.

Definition at line 47 of file set.cpp.

The documentation for this class was generated from the following file:

- test/branch/set.cpp